<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPurchaseOrderLabel" jhiTranslate="mpmApp.purchaseOrder.home.createOrEditLabel">Create or edit a Purchase Order</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!purchaseOrder.idPurchaseOrder">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="purchaseOrder.idPurchaseOrder" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_purchaseNumber">Purchase Number</label>
                    <input type="text" class="form-control" name="purchaseNumber" id="field_purchaseNumber"
                        [(ngModel)]="purchaseOrder.noPurchaseOrder" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_dtOrder">Date Order</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="purchaseOrder.dtOrder"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" for="field_divition">Divition</label>
                    <input type="text" class="form-control" name="divition" id="field_divition"
                        [(ngModel)]="purchaseOrder.divition" />
                </div> -->
                <div class="form-group">
                    <label class="form-control-label"  for="field_divition">Divition</label>
                    <select class="form-control" id="field_divition" name="divition" [(ngModel)]="purchaseOrder.divition" [disabled]="readonly">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divitions">{{divitionOption.value}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label"  for="field_Sifat">Sifat</label>
                    <select class="form-control" id="field_sifat" name="sifat" [(ngModel)]="purchaseOrder.sifat" [disabled]="readonly">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="sifatOption.value" *ngFor="let sifatOption of sifats">{{sifatOption.value}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label"  for="field_need">Kebutuhan</label>
                    <select class="form-control" id="field_need" name="need" [(ngModel)]="purchaseOrder.needs" [disabled]="readonly">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="needOption.value" *ngFor="let needOption of needs">{{needOption.value}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_appPembelian">Approval Pembelian</label>
                    <input type="text" class="form-control" name="appPembelian" id="field_appPembelian"
                        [(ngModel)]="purchaseOrder.appPembelian" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_appPabrik">Approval Manajer Pabrik</label>
                    <input type="text" class="form-control" name="appPabrik" id="field_appPabrik"
                        [(ngModel)]="purchaseOrder.appPabrik" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_appDept">Approval Manajer Departemen</label>
                    <input type="text" class="form-control" name="appDept" id="field_appDept"
                        [(ngModel)]="purchaseOrder.appDept" />
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
